/*
 *      Program do przegladania logow z ekg.
 *	Informacje o programie.
 *
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __CMD_ABOUT_HH__
#define __CMD_ABOUT_HH__


#include "command-base.h"
#include "texts.h"

/**
 * @brief Komenda quit
 */
class cmd_about_t : public command_base_t {
public:

	cmd_about_t() :  command_base_t("about",HELP_ABOUT_SHORT,HELP_ABOUT_LONG)
	{
		_completition.push_back("merge");
		_completition.push_back("program");
		_completition.push_back("authors");
	}

	void run(const std::vector<std::string> & argv)
	{
		if(argv.size() > 1) {
			_info->print(ABOUT_ERROR_ARGS_1, ALL_ERROR_FMT);
			return;
		}
		if(argv.size() == 1) {
			if (argv[0] == "merge")
				_info->print(ABOUT_HELP_MERGE, ALL_HELP_FMT);
			else if(argv[0] == "program")
				_info->print(ABOUT_HELP_PROGRAM, ALL_HELP_FMT);
			else if(argv[0] == "authors")
				_info->print(ABOUT_HELP_AUTHORS, ALL_HELP_FMT);
			else
				_info->print(ABOUT_ERROR_ARGS_2, ALL_ERROR_FMT);
			return;
		}

		_info->print(HELP_ABOUT_LONG, ALL_HELP_FMT);
	} // run()
};

#endif /* __CMD_ECHO_HH__ */
