/*
 *      Program do przegladania logow z ekg.
 *	Wyjcie z programu.
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __CMD_QUIT_HH__
#define __CMD_QUIT_HH__


#include "command-base.h"
#include "texts.h"

/**
 * @brief Komenda quit
 */
class cmd_quit_t : public command_base_t {
public:

	cmd_quit_t() :  command_base_t("quit", HELP_QUIT_SHORT,
				HELP_QUIT_LONG)
	{}

	void run(const std::vector<std::string> & argv)
	{
		*_end_program = true;
	} // run()
};

#endif /* __CMD_QUIT_HH__ */
