/*
 *      Program do przegladania logow z ekg.
 *      Sprawdzanie atrybutow linii komend.
 *
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __ATTRIBS_HH__
#define __ATTRIBS_HH__


/// Sprawdzanie atrybutow linii komend wywolania programu.
class check_options_t {
public:

	/// analizuje linie komend
	check_options_t(int argc, char *argv[]);

	/// czy wyswietlic tylko pomoc - program nie robi wtedy nic innego
	bool show_help() { return _flags & HELP; }
	/// czy wyswietlic liste nickow - debug
	bool show_nicks() { return _flags & NICKS; }
	/// czy wystartowac interfejs uzytkownika
	bool no_ui() { return _flags & NO_UI; }
	/// czy wystartowac baze danych
	bool no_dbase() { return _flags & NO_DBASE; }

private:

	/// mozliwe flagi programu
	enum flags_t { HELP=1, NICKS=2, NO_UI=4, NO_DBASE=8 };
	/// jakie flagi sa wybrane
	int _flags;
};


#endif /* __ATTRIBS_HH__ */
