/*
 *      Program do przegladania logow z ekg.
 *      Przydatne rzeczy.
 *
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "stuff.h"
#include "texts.h"

/*
 * color_pair()
 *
 * zwraca pare kolorow odpowiadajaca atrybutom
 * wzorowane na ekg
 *
 *  - fg - kolor czcionki
 *  - bold - ew. pogrubienie czcionki
 *  - bg - kolor tla
 */
int color_pair(int fg, int bold, int bg) {
    if( fg >= 8 ) {
	bold = 1;
	fg &= 7;
    }
    if( fg == COLOR_BLACK && bg == COLOR_BLACK ) {
	fg = 7;
    }
    else if( fg == COLOR_WHITE && bg == COLOR_BLACK ) {
	fg = 0;
    }

    return COLOR_PAIR(fg + 8 * bg) | ((bold) ? A_BOLD : 0);
}


/**
 * @brief Dlugosc stringu bez ukrytych znakow.
 *
 * Oblicza dlugosc stringu po wylaczeniu z niego ukrytych znakow,
 * tzn: \\cxxx \\d
 */
unsigned int str_lenght(const std::string & str)
{
	unsigned int i=0, hidden=0;

	while (i < str.size()) {
		switch(str[i]) {
			case '\\':
				if (i+1 < str.size()) {
					if (str[i+1] == 'c') {
						hidden += 5;
					} else if (str[i+1] == 'd') {
						hidden += 2;
					} else if (str[i+1] == '\\') {
						hidden += 1;
					}
				}
				break;
			default:
				break;
		}
		++i;
	}

	return str.size() - hidden;
}


/**
 * @brief Podaje ilosc ukrytych w stringu znakow.
 *
 * Ukryte znaki to \\cxxx (5) oraz \\d (2).
 */
unsigned int str_hidden(const std::string & str)
{
	unsigned int i=0, hidden=0;

	while (i < str.size()) {
		switch(str[i]) {
			case '\\':
				if (i+1 < str.size()) {
					if (str[i+1] == 'c') {
						hidden += 5;
					} else if (str[i+1] == 'd') {
						hidden += 2;
					} else if (str[i+1] == '\\') {
						hidden += 1;
					}
				}
				break;
			default:
				break;
		}
		++i;
	}

	return hidden;
}

#include <iomanip>
using namespace std;

const std::string & format_date(time_t t) {
    static string tmp;
    struct tm *st = localtime(&t);

    stringstream str;
    str << 1900+st->tm_year << "." << 1+st->tm_mon << "." << st->tm_mday << ", "
	<< setw(2) << setfill('0') << st->tm_hour << ":" 
	<< setw(2) << setfill('0') << st->tm_min;

    getline(str, tmp);
    return tmp;
}


bool ask_save()
{
	printw(ASK_WHETER_SAVE);
	char c = getch();
	if (c == 't')
		return true;

	return false;
}

