/*
 *      Program do przegladania logow z ekg.
 *      Pasek statusu.
 *
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "winstatus.h"

void winstatus_t::print()
{
	if(!_win)
		return;

	wattron(_win, color_pair(COLOR_WHITE,0,COLOR_BLUE));
	wmove(_win, 0, 0);
	whline(_win, ' ', _width);
	wattroff(_win, color_pair(COLOR_WHITE,0,COLOR_BLUE));

	if(_chosen.size()) {
		wmove(_win, 0, 1);
		wattron(_win, color_pair(COLOR_CYAN,0,COLOR_BLUE));
		waddstr(_win, "(");
		wattroff(_win, color_pair(COLOR_CYAN,0,COLOR_BLUE));

		wattron(_win, color_pair(COLOR_WHITE,(_chosen_type==ACTIVE),COLOR_BLUE));
		waddstr(_win, const_cast<char*> (_chosen.c_str()));
		wattroff(_win, color_pair(COLOR_WHITE,(_chosen_type==ACTIVE),COLOR_BLUE));

		wattron(_win, color_pair(COLOR_CYAN,0,COLOR_BLUE));
		waddstr(_win, ")");
		wattroff(_win, color_pair(COLOR_CYAN,0,COLOR_BLUE));
	}

	if(_more) {
		wmove(_win, 0, 25);
		wattron(_win, color_pair(COLOR_CYAN,0,COLOR_BLUE));
		waddstr(_win, "(");
		wattroff(_win, color_pair(COLOR_CYAN,0,COLOR_BLUE));

		wattron(_win, color_pair(COLOR_GREEN,1,COLOR_BLUE));
		waddstr(_win, "more");
		wattroff(_win, color_pair(COLOR_GREEN,1,COLOR_BLUE));

		wattron(_win, color_pair(COLOR_CYAN,0,COLOR_BLUE));
		waddstr(_win, ")");
		wattroff(_win, color_pair(COLOR_CYAN,0,COLOR_BLUE));
	}

	if(_act_main.size() || _act_info.size()) {
		wmove(_win, 0, 32);
		wattron(_win, color_pair(COLOR_CYAN,0,COLOR_BLUE));
		waddstr(_win, "(");
		wattroff(_win, color_pair(COLOR_CYAN,0,COLOR_BLUE));

		wattron(_win, color_pair(COLOR_WHITE,0,COLOR_BLUE));
		waddstr(_win, "act:");
		wattroff(_win, color_pair(COLOR_WHITE,0,COLOR_BLUE));

		wattron(_win, color_pair(COLOR_WHITE,1,COLOR_BLUE));
		// mozna wypisac je jednoczesnie, poniewaz i tak tylko jeden
		// z nich jet niepusty
		waddstr(_win, const_cast<char*> (_act_main.c_str()));
		waddstr(_win, const_cast<char*> (_act_info.c_str()));
		wattroff(_win, color_pair(COLOR_WHITE,1,COLOR_BLUE));

		wattron(_win, color_pair(COLOR_CYAN,0,COLOR_BLUE));
		waddstr(_win, ")");
		wattroff(_win, color_pair(COLOR_CYAN,0,COLOR_BLUE));
	}

	wnoutrefresh(_win);
}
