/*
 *      Program do przegladania logow z ekg.
 *      Pasek statusu.
 *
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __WINSTATUS_HH__
#define __WINSTATUS_HH__

extern "C" {
	#include <ncurses.h>
}

#include <string>
#include "stuff.h"



/**
 * @brief Pasek stanu - pozwala wyswietlic kilka informacji.
 */

class winstatus_t {
public:

	enum type_t { ACTIVE, PASSIVE };

	winstatus_t(unsigned int width, WINDOW * w):_win(w),_width(width),_more(false) {}

	/// ustawia string z inf. o wybranym oknie
	void set_chosen(const std::string & str, enum type_t type=PASSIVE)
	{
		_chosen = str;
		_chosen_type = type;
	}

	/// ustawia string z informacja o aktywnych oknach
	void set_active_main(const std::string & str) { _act_main = str; }
	void set_active_info(const std::string & str) { _act_info = str; }

	/// ustawia informacje o nieogladanych do tej pory linijkach okna
	void set_more(bool b) { _more = b; }

	/// wypisuje na ekran pasek
	void print();

private:

	/// tutaj wyswietlamy
	WINDOW * _win;
	/// szerokosc paska
	unsigned int _width;
	/// informacja o aktywnym oknie
	std::string _chosen;
	/// ktore okno ma cos nowego, a tego nie widac
	std::string _act_main, _act_info;
	/// czy w oknie jest cos wiecej
	bool _more;
	/// czy info o tytule jest podsietlone
	type_t _chosen_type;
};

#endif /* __WINSTATUS_HH__ */
